# Uses of Class
org.apache.felix.http.base.internal.service.HttpServiceFactory

Packages that use HttpServiceFactory
Package
Description
org.apache.felix.http.base.internal.whiteboard

## Uses of HttpServiceFactory in org.apache.felix.http.base.internal.whiteboard

Constructors in org.apache.felix.http.base.internal.whiteboard with parameters of type HttpServiceFactory
Modifier
Constructor
Description
``
`HttpServiceContextHandler(ServletContextHelperInfo info, PerContextHandlerRegistry registry, HttpServiceFactory httpServiceFactory, jakarta.servlet.ServletContext webContext, org.osgi.framework.Bundle httpBundle)`
``
`WhiteboardManager(org.osgi.framework.BundleContext bundleContext, HttpServiceFactory httpServiceFactory, HandlerRegistry registry)`
Create a new whiteboard http manager